function [mascaraRuido] = generarRuido(duracion,probabilidadRafaga,longitudMediaRafaga,variacionLongitudRafaga, semillaAleatoria)
%duracion:  Duracin de la seal de ruido
%probabilidadRafaga:   Probabilidad de la ocurrencia de una rafaga
%longitudMediaRafaga: Longitud de una rafaga (si se produce)
%variacionLongitudRafaga: posible oscilacin en el tamao de la rafaga
%semillaAleatoria: semilla para inicializar la secuencia aleatoria
    
    rand('state',semillaAleatoria); %Inicializa el estado de la funcin rand

    mascaraRuido = zeros(duracion,1);
    [posError valores] = find(rand(duracion,1)<=probabilidadRafaga);
    longitudesRafaga = longitudMediaRafaga-(round(2*rand(length(posError),1)*variacionLongitudRafaga) - variacionLongitudRafaga);
    for i=1:length(posError)
        mascaraRuido(posError(i):posError(i)+longitudesRafaga(i)-1,1)=1;
    end
    mascaraRuido = mascaraRuido(1:duracion)';
